%define debug_package %{nil}

Name:    gendesk
Version: 1.0.9
Release: 2
Summary: Utility for generating desktop files
Group:   Development/Tools
License: MIT
URL:     http://gendesk.roboticoverlords.org/
Source0: http://roboticoverlords.org/%{name}/%{name}-%{version}.tar.xz
Source1: http://roboticoverlords.org/images/default.png
#-------------------------------------
BuildRequires: golang
BuildRequires: git
#-------------------------------------

%description
Utility for generating desktop files

%prep
%autosetup -n %{name}-%{version}
%ifarch loongarch64
sed 's/go 1.10/go 1.21/g' -i go.mod
export GOSUMDB="sum.golang.org"
export GOPROXY="https://goproxy.cn"
go get -d golang.org/x/sys@v0.19.0
go mod tidy
go mod download
go mod vendor
%endif
#GOPATH=`pwd` go get -d -v

%build
#GOPATH=`pwd` go build
#GOPATH=`pwd` 
go build -mod=vendor -buildmode=pie -gccgoflags="-s -w $LDFLAGS"


%install
  mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/
  install -Dm755 "%{name}" "$RPM_BUILD_ROOT/usr/bin/%{name}"
  install -Dm644 %{S:1} "$RPM_BUILD_ROOT/usr/share/pixmaps/"
  install -Dm644 "%{name}.1.gz" "$RPM_BUILD_ROOT/usr/share/man/man1/%{name}.1.gz"

%files
%license LICENSE
%{_bindir}/gendesk
%{_mandir}/man1/gendesk.1.gz
%{_datadir}/pixmaps/default.png


%changelog
* Mon Apr 22 2024 Pengda Dou <doupengda@loongson.cn> - 1.0.9-2
- add support for loongarch64

* Tue May 16 2023 wangtaozhi <wangtaozhi@kylinsec.com.cn> - 1.0.9-1
- Package init
